Patch ModuleInstance
curl --request PATCH \
--url https://api.ravion.com/module-instances/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"data": {
"autoapprove": true,
"description": "<string>",
"environmentId": "<string>",
"givenId": "<string>",
"input": {},
"moduleDefinitionId": "<string>",
"moduleVersionId": "<string>",
"name": "<string>",
"runStack": true
}
}
'import requests
url = "https://api.ravion.com/module-instances/{id}"
payload = { "data": {
"autoapprove": True,
"description": "<string>",
"environmentId": "<string>",
"givenId": "<string>",
"input": {},
"moduleDefinitionId": "<string>",
"moduleVersionId": "<string>",
"name": "<string>",
"runStack": True
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
data: {
autoapprove: true,
description: '<string>',
environmentId: '<string>',
givenId: '<string>',
input: {},
moduleDefinitionId: '<string>',
moduleVersionId: '<string>',
name: '<string>',
runStack: true
}
})
};
fetch('https://api.ravion.com/module-instances/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"createdAt": "2023-11-07T05:31:56Z",
"environmentId": "<string>",
"givenId": "<string>",
"id": "<string>",
"input": {},
"moduleDefinitionId": "<string>",
"moduleVersionId": "<string>",
"name": "<string>",
"organizationId": "<string>",
"projectId": "<string>",
"type": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"description": "<string>",
"error": {
"code": "<string>",
"message": "<string>",
"action": {
"label": "<string>",
"url": "<string>"
},
"description": "<string>",
"details": [
{
"render": "<string>",
"title": "<string>",
"items": [
"<string>"
],
"object": {}
}
],
"isInternal": true,
"metadata": {},
"requestId": "<string>"
},
"stackId": "<string>",
"ui": {
"links": [
{
"href": "<string>",
"name": "<string>"
}
],
"logs": [
{
"id": "<string>",
"name": "<string>",
"source": {
"aws_account_id": "<string>",
"filter_pattern": "<string>",
"log_group": "<string>",
"log_stream_prefix": "<string>",
"region": "<string>",
"type": "cloudwatch"
}
}
],
"metrics": [
{
"id": "<string>",
"name": "<string>",
"source": {
"aws_account_id": "<string>",
"dimensions": {},
"name": "<string>",
"namespace": "<string>",
"region": "<string>",
"statistic": "<string>",
"type": "cloudwatch"
}
}
]
}
}
}{
"code": "<string>",
"message": "<string>",
"action": {
"label": "<string>",
"url": "<string>"
},
"description": "<string>",
"details": [
{
"render": "<string>",
"title": "<string>",
"items": [
"<string>"
],
"object": {}
}
],
"isInternal": true,
"metadata": {},
"requestId": "<string>"
}{
"code": "<string>",
"message": "<string>",
"action": {
"label": "<string>",
"url": "<string>"
},
"description": "<string>",
"details": [
{
"render": "<string>",
"title": "<string>",
"items": [
"<string>"
],
"object": {}
}
],
"isInternal": true,
"metadata": {},
"requestId": "<string>"
}{
"code": "<string>",
"message": "<string>",
"action": {
"label": "<string>",
"url": "<string>"
},
"description": "<string>",
"details": [
{
"render": "<string>",
"title": "<string>",
"items": [
"<string>"
],
"object": {}
}
],
"isInternal": true,
"metadata": {},
"requestId": "<string>"
}{
"code": "<string>",
"message": "<string>",
"action": {
"label": "<string>",
"url": "<string>"
},
"description": "<string>",
"details": [
{
"render": "<string>",
"title": "<string>",
"items": [
"<string>"
],
"object": {}
}
],
"isInternal": true,
"metadata": {},
"requestId": "<string>"
}{
"code": "<string>",
"message": "<string>",
"action": {
"label": "<string>",
"url": "<string>"
},
"description": "<string>",
"details": [
{
"render": "<string>",
"title": "<string>",
"items": [
"<string>"
],
"object": {}
}
],
"isInternal": true,
"metadata": {},
"requestId": "<string>"
}{
"code": "<string>",
"message": "<string>",
"action": {
"label": "<string>",
"url": "<string>"
},
"description": "<string>",
"details": [
{
"render": "<string>",
"title": "<string>",
"items": [
"<string>"
],
"object": {}
}
],
"isInternal": true,
"metadata": {},
"requestId": "<string>"
}ModuleInstances
Patch ModuleInstance
PATCH
/
module-instances
/
{id}
Patch ModuleInstance
Was this page helpful?
⌘I